> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all calls

> List agent calls with cursor-based pagination



## OpenAPI

````yaml get /api/v1/agent-calls
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/agent-calls:
    get:
      tags:
        - Calls
      summary: List all calls
      description: List agent calls with cursor-based pagination
      parameters:
        - schema:
            type: string
            default: '10'
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            enum:
              - PENDING
              - IN_PROGRESS
              - COMPLETED
              - FAILED
          required: false
          name: status
          in: query
        - schema:
            type: string
            enum:
              - AUDIO
              - WEB
              - SHAREABLE_LINK
              - CHAT_TEST
          required: false
          name: mode
          in: query
        - schema:
            type: string
          required: false
          name: outbound
          in: query
        - schema:
            type: string
          required: false
          description: Filter by specific agent ID
          name: agentId
          in: query
        - schema:
            type: string
          required: false
          description: Filter by specific workflow ID
          name: workflowId
          in: query
        - schema:
            type: string
            enum:
              - COULD_NOT_CONNECT
              - NO_ANSWER
              - LEFT_VOICEMAIL
              - VOICEMAIL_DETECTED
              - SILENCE_TIMEOUT
              - BAD_NUMBER
              - NOT_INTERESTED
              - WARM_TRANSFER
              - WARM_TRANSFER_FAILED
              - CALENDLY
              - DNC
              - ENDED
              - FRAUD
              - LINE_BUSY
              - TEXT_CONSENT
              - CALL_AGAIN
          required: false
          description: Filter by call ended reason
          name: callEndedReason
          in: query
        - schema:
            type: string
          required: false
          description: Filter calls with duration >= this value (in seconds)
          name: startDuration
          in: query
        - schema:
            type: string
          required: false
          description: Filter calls with duration <= this value (in seconds)
          name: endDuration
          in: query
        - schema:
            type: string
          required: false
          description: Filter calls started >= this date (ISO 8601)
          name: startCallStartedAt
          in: query
        - schema:
            type: string
          required: false
          description: Filter calls started <= this date (ISO 8601)
          name: endCallStartedAt
          in: query
        - schema:
            type: string
            pattern: ^(?:[+ ]1(\d{10}|\d{3}-\d{3}-\d{4})|[+ ][1-9]\d{1,14})$
          required: false
          description: >-
            Filter by recipient phone number in E.164 format (e.g.,
            +1XXXXXXXXXX)
          name: toPhoneNumber
          in: query
        - schema:
            type: string
            pattern: ^(?:[+ ]1(\d{10}|\d{3}-\d{3}-\d{4})|[+ ][1-9]\d{1,14})$
          required: false
          description: Filter by caller phone number in E.164 format (e.g., +1XXXXXXXXXX)
          name: fromPhoneNumber
          in: query
      responses:
        '200':
          description: Agent calls retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  agentCalls:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        organizationId:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        agentVersionId:
                          type: string
                        agentVersionDetails:
                          nullable: true
                        agentId:
                          type: string
                        agentDetails:
                          nullable: true
                        mode:
                          type: string
                          enum:
                            - AUDIO
                            - WEB
                            - SHAREABLE_LINK
                            - CHAT_TEST
                        fromPhoneNumber:
                          type: string
                          nullable: true
                        toPhoneNumber:
                          type: string
                          nullable: true
                        customer:
                          type: object
                          nullable: true
                          properties:
                            phoneNumber:
                              type: string
                              nullable: true
                            firstName:
                              type: string
                              nullable: true
                            lastName:
                              type: string
                              nullable: true
                        leadId:
                          type: string
                          nullable: true
                        callEndedReason:
                          type: string
                          nullable: true
                          enum:
                            - COULD_NOT_CONNECT
                            - NO_ANSWER
                            - LEFT_VOICEMAIL
                            - VOICEMAIL_DETECTED
                            - SILENCE_TIMEOUT
                            - BAD_NUMBER
                            - NOT_INTERESTED
                            - WARM_TRANSFER
                            - WARM_TRANSFER_FAILED
                            - CALENDLY
                            - DNC
                            - ENDED
                            - FRAUD
                            - LINE_BUSY
                            - TEXT_CONSENT
                            - CALL_AGAIN
                        callEndedBy:
                          type: string
                          nullable: true
                          enum:
                            - ASSISTANT
                            - USER
                            - UNKNOWN
                        callStartedAt:
                          type: string
                          nullable: true
                          format: date-time
                        callEndedAt:
                          type: string
                          nullable: true
                          format: date-time
                        callDuration:
                          type: number
                        recordingUrl:
                          type: string
                          nullable: true
                        supervisorRecordingUrl:
                          type: string
                          nullable: true
                        transcript:
                          type: string
                          nullable: true
                        transcriptWithTools:
                          type: string
                          nullable: true
                        summary:
                          type: string
                          nullable: true
                        variables:
                          nullable: true
                        status:
                          type: string
                          enum:
                            - PENDING
                            - IN_PROGRESS
                            - COMPLETED
                            - FAILED
                        outbound:
                          type: boolean
                        postCallAnalysis:
                          type: string
                          nullable: true
                        structuredPostCallAnalysis:
                          type: string
                          nullable: true
                        leadState:
                          type: string
                          nullable: true
                          enum:
                            - AL
                            - AK
                            - AZ
                            - AR
                            - CA
                            - CO
                            - CT
                            - DE
                            - DC
                            - FL
                            - GA
                            - HI
                            - ID
                            - IL
                            - IN
                            - IA
                            - KS
                            - KY
                            - LA
                            - ME
                            - MD
                            - MA
                            - MI
                            - MN
                            - MS
                            - MO
                            - MT
                            - NE
                            - NV
                            - NH
                            - NJ
                            - NM
                            - NY
                            - NC
                            - ND
                            - OH
                            - OK
                            - OR
                            - PA
                            - RI
                            - SC
                            - SD
                            - TN
                            - TX
                            - UT
                            - VA
                            - VT
                            - WA
                            - WV
                            - WI
                            - WY
                        workflowId:
                          type: string
                          nullable: true
                        metadata:
                          anyOf:
                            - allOf:
                                - type: object
                                  properties:
                                    firstName:
                                      type: string
                                    lastName:
                                      type: string
                                - type: object
                                  additionalProperties:
                                    nullable: true
                            - nullable: true
                        leadPriorityDate:
                          type: string
                          nullable: true
                          format: date-time
                      required:
                        - id
                        - organizationId
                        - createdAt
                        - updatedAt
                        - agentVersionId
                        - agentId
                        - mode
                        - fromPhoneNumber
                        - toPhoneNumber
                        - customer
                        - leadId
                        - callEndedReason
                        - callEndedBy
                        - callStartedAt
                        - callEndedAt
                        - callDuration
                        - recordingUrl
                        - supervisorRecordingUrl
                        - transcript
                        - transcriptWithTools
                        - summary
                        - status
                        - outbound
                        - postCallAnalysis
                        - leadState
                        - workflowId
                        - leadPriorityDate
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: number
                        minimum: 1
                        maximum: 100
                        default: 10
                      nextCursor:
                        type: string
                required:
                  - agentCalls
                  - pagination
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````